Subject: bug#28793: 26.0.90; Compile error with Emacs 26 on macOS 10.13

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Oct 2017 15:01:08 +0300

> From: George Plymale II <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 12 Oct 2017 06:43:23 -0400
> 
> Thanks for the tip. I see no results in my src/config.h when I run `M-x
> occur PROMOTED_MODE_T'

That's strange.  src /config.in includes this:

  /* Define to the type that is the result of default argument promotions of
     type mode_t. */
  #undef PROMOTED_MODE_T

Do you see it?  (Please don't rely on "M-x occur", it's possible that
it fails to find the string for some unrelated reason.  Please search
manually around line 1470.)

> Did I miss something in the configure stage? I'm sure that this can't be
> right and there must be something odd on my end.

Does config.log include any references to "promoted mode_t"?